%define oname yaml
Name: libyaml0
Version: 0.0.1
Release: alt3

Summary: A C library for parsing and emitting YAML

License: BSD
Group: System/Legacy libraries
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://pyyaml.org/download/libyaml/%oname-%version.tar.bz2
Url: http://pyyaml.org/wiki/LibYAML

Provides: libyaml = %version-%release
Obsoletes: libyaml

# Automatically added by buildreq on Sat May 31 2008
BuildRequires: doxygen gcc-c++ glibc-devel

%description
YAML 1.1 parser and emitter written in C.

%package devel
Summary: Header files for yaml library
Group: Development/C
Requires: %name = %version-%release

%description devel
Header files for yaml library.

%prep
%setup -n %oname-%version

%build
%configure --disable-static
%make_build

%install
%makeinstall_std

%files
%doc README
%_libdir/lib*.so.*

%changelog
* Mon Oct 04 2010 Vitaly Lipatov <lav@altlinux.ru> 0.0.1-alt3
- move to Legacy libraries group

* Sat Oct 02 2010 Vitaly Lipatov <lav@altlinux.ru> 0.0.1-alt2
- build as libyaml0

* Tue Nov 24 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.0.1-alt1.qa1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for libyaml
  * postun_ldconfig for libyaml
  * postclean-05-filetriggers for spec file

* Sat May 31 2008 Vitaly Lipatov <lav@altlinux.ru> 0.0.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

